Subject: Re: [Int-area] WG Adoption Call: IP Fragmentation Considered Fragile
From: Tom Herbert <[email-masked]>
To: Toerless Eckert <[email-masked]>
Cc: Mikael Abrahamsson <[email-masked]>, int-area <[email-masked]>, [email-masked]
Date: Sun, 26 Aug 2018 10:08:07 -0700
List-Id: IETF Internet Area Mailing List <int-area.ietf.org>

On Fri, Aug 24, 2018 at 8:24 PM, Toerless Eckert <[email-masked]> wrote:
> On Fri, Aug 03, 2018 at 09:48:25AM +0200, Mikael Abrahamsson wrote:
>> I've kept saying "Networks must support ip fragmentation properly.
>
> Why ? Wheren't you also saying that you've got (like probably many
> else on this thread) all the experience that only TCP MSS gets you
> working connectivity in many case (like hotels) ?
>
> IMHO, we (network layer) should accept defeat on network layer
> fragmentation and agree that we should make it easier for the
> transport layer to resolve the problem.
>
> Aka: I would lvoe to see a new ICMPv4/ICMPv6 reply and/or PTB reply option
> indicating "Fragmented Packets Not Permitted". Any network device which
> for whatever reason does not like Fragemnts would simply drop
> fragmented packets and send this as a reply. Allows then the
> transport layer to automatically use packetization  (such as TCP MSS)
> to get packets through.
>
> Of course. Will take a decade to get ubiquitously deployed, but
> neither IPv4 nor IPv6 will go away, only the problems with fragmentation
> will become worse and work if we do not have an exit strategy like this.
>
Toeless,

I'm curious why you think the problems with fragmentation will become
worse. The draft and much of this thread has already highlighted the
problems with fragmentation that happen because of non-conformant
implementation. While there's a lot of legacy implementation that
might hard to fix completely, I don't think we've seen a good argument
that these problems are infeasible to fix in new deployments and
products. I think this draft is an opportunity not only highlight the
problems, but to suggest some practical fixes to improve the situation
as a way forward.

Tom

> If we don't try an exit strategy like this, we will just get what
> Joe said, the complete segmentation of the Internet with more and
> more L4 or even higher layer proxies.
>
> Btw: +1 for adopting the doc as a WG item, but primarily because everything
> before section 7 is on a way to become a good read of reality. Section
> 7 recommendations is only a faith based exercise (praying) as long as it tries to
> get the job done primarily by appealing to application developers.
>
> Cheers
>     Toerless
>
>
>